/*
 * Global.h
 *
 *  Created on: 13-Jan-2020
 *      Author: aed
 */

#ifndef ProcessOCPP_H_
#define ProcessOCPP_H_

#include "rtc.h"
void OCPPProtocol(void);
int RTC_Set(uint8_t year, uint8_t month, uint8_t day,uint8_t hour, uint8_t min, uint8_t sec, uint8_t dow);
int Get_Time(void);
void enQueue(unsigned char);
char deQueue(void);
char isEmpty(void);
void display(void);
char isFull(void);
void peek(void);
char *ocpp_resone(char reson);
char *ocpp_statuse(char charging_status);
char *ocpp_error(char error);
void qClear(void);
uint8_t MAX = 30;
uint8_t queue_data[15];
int REAR  = -1;
int FRONT = -1;
#endif /* GLOBAL_H_ */
